<?php

namespace EventPortal\Domain\Util\Menu;

use Illuminate\Support\Arr;

class MenuRegistry
{
    /** @var array<string> */
    private $menus = [];

    public function make(string $key): Menu
    {
        if (Arr::has($this->menus, $key)) {
            return $this->menus[$key];
        }

        $this->menus[$key] = new Menu;

        return $this->menus[$key];
    }
}
